using UnityEngine;

public abstract class Tool : MonoBehaviour
{
    [Header("Base Tool Parameters")]
    public ToolEnum ToolType = ToolEnum.None;
    public float useTimeSec;
    public float altUseTimeSec;
    public bool inUse;

    // primary (left click)
    public abstract void Use();

    // secondary (right click)
    public abstract void UseAlt();
}

public enum ToolEnum
{
    None,
    Shovel,
    Flashlight,
    GrappleGun,
    Ballgun,
    ThrowableHand
}
